﻿TuckUF.ClassConfig = {}

-----------------------------------------------------------------------------------------
-- sizes
-----------------------------------------------------------------------------------------
TuckUF.BigManaBarSize = 0.4	 -- mana bar size: 0.4 means 40% of the unit frame height
TuckUF.SmallManaBarSize = 0.2  -- mana bar size: 0.2 means 20% of the unit frame height

-----------------------------------------------------------------------------------------
-- colors
-----------------------------------------------------------------------------------------
TuckUF.ManaColor = {r=0, b=1, g=0, a=0.8}
TuckUF.RageColor = {r=1, b=0, g=0, a=0.8}
TuckUF.EnergyColor = {r=1, b=0, g=1, a=0.8}
TuckUF.HealthColor = {r=0.11, g=0.84, b=0.3}

------------------------------------------------------------------------------------------
-- debuff colors
------------------------------------------------------------------------------------------
TuckUF.DebuffColors = { ["Curse"]	 = { ["r"] = 1, ["g"] = 0,	 ["b"] = 0.75,	["a"] = 0.5},
				["Magic"]    = { ["r"] = 0, ["g"] = 0,	 ["b"] = 1,		["a"] = 0.5},
				["Disease"]  = { ["r"] = 1, ["g"] = 1,	 ["b"] = 0,		["a"] = 0.5},
				["Poison"]   = { ["r"] = 0, ["g"] = 0.5,   ["b"] = 0,		["a"] = 0.5},
				["Special"]	 = { ["r"] = 1, ["g"] = 0,	 ["b"] = 0,		["a"] = 0.5} }

------------------------------------------------------------------------------------------
-- curable debuffs
------------------------------------------------------------------------------------------
TuckUF.ClassConfig.DispelTypes = {}
TuckUF.ClassConfig.DispelTypes["PRIEST"] =  {["Magic"]=true,  ["Disease"]=true}
TuckUF.ClassConfig.DispelTypes["WARLOCK"] = {["Magic"]=true}
TuckUF.ClassConfig.DispelTypes["MAGE"] =    {["Curse"]=true}
TuckUF.ClassConfig.DispelTypes["PALADIN"] = {["Magic"]=true,  ["Disease"]=true, ["Poison"]=true}
TuckUF.ClassConfig.DispelTypes["DRUID"] =   {["Poison"]=true, ["Curse"]=true}

------------------------------------------------------------------------------------------
-- do not change anything below
------------------------------------------------------------------------------------------

-- select class
local playerclass = select(2, UnitClass("player"))

if (TuckUF.ClassConfig.DispelTypes[playerclass]) then
	TuckUF.DispelTypes = TuckUF.ClassConfig.DispelTypes[playerclass]
else
	TuckUF.DispelTypes = {}
end
